com.genesyslab.wfm7.API.service.config712

## Class CfgProfileSkill

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config712.CfgProfileSkill

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgProfileSkill
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `gswSkillId`
    `private int` | `wmSkillLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgProfileSkill()`
    `CfgProfileSkill(int gswSkillId, int wmSkillLevel)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getGswSkillId()` Gets the gswSkillId value for this CfgProfileSkill.
    `int` | `getWmSkillLevel()` Gets the wmSkillLevel value for this CfgProfileSkill.
    `int` | `hashCode()`
    `void` | `setGswSkillId(int gswSkillId)` Sets the gswSkillId value for this CfgProfileSkill.
    `void` | `setWmSkillLevel(int wmSkillLevel)` Sets the wmSkillLevel value for this CfgProfileSkill.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### gswSkillId

          private int gswSkillId

    - #### wmSkillLevel

          private int wmSkillLevel

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgProfileSkill

          public CfgProfileSkill()

    - #### CfgProfileSkill

          public CfgProfileSkill(int gswSkillId,
                         int wmSkillLevel)

  - ### Method Detail

    - #### getGswSkillId

          public int getGswSkillId()

      Gets the gswSkillId value for this CfgProfileSkill.
      Returns:
        gswSkillId

    - #### setGswSkillId

          public void setGswSkillId(int gswSkillId)

      Sets the gswSkillId value for this CfgProfileSkill.
      Parameters:
        `gswSkillId` -

    - #### getWmSkillLevel

          public int getWmSkillLevel()

      Gets the wmSkillLevel value for this CfgProfileSkill.
      Returns:
        wmSkillLevel

    - #### setWmSkillLevel

          public void setWmSkillLevel(int wmSkillLevel)

      Sets the wmSkillLevel value for this CfgProfileSkill.
      Parameters:
        `wmSkillLevel` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.